%define LIBMAJ 0
%define libname %mklibname %name %LIBMAJ
%define kdever kde3
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary:	Knoda is a database frontend for KDE. It is based on hk_classes.
Name:		knoda
Version:	0.7.1
Release:	2mdk
License:	GPL
Group:		Databases

Source:		http://hk-classes.sourceforge.net/%{name}-%{version}.tar.bz2
Source1:	http://hk-classes.sourceforge.net/%{name}python.tar.bz2
Source2:	lo48-app-knoda.png
Url:		http://www.knoda.org
BuildRoot:	%_tmppath/%name-%version-root

BuildRequires:	hk_classes-devel kdelibs-devel chrpath XFree86-devel
Requires: 	hk_classes %{libname} = %{version}

%description

Knoda is a database frontend for KDE. It is based on hk_classes.
Knoda allows you to:

 * define and delete databases;
 * create, alter and delete tables and indices;
 * add, change and delete data in tables;
 * define, execute and store sql queries;
 * import and export CSV data;
 * define and use forms; and
 * define and print reports

Its driver concept allows a uniform connection to different database 
servers.

Note: If you've used knoda 0.6, you'll probably want to delete 
~/.hk_classes/preferences, as the driver paths have changed.

%package -n python-%{name}
Summary:        Python support for hk_kdeclasses
Group:          Development/Python

%description -n python-%{name}

Python scripting support for hk_kdeclasses.

%package -n %{libname}
Summary:        Libraries for hk_kdeclasses
Group:          System/Libraries

%description -n %{libname}

Hk_kdeclasses libraries

%package -n %{libname}-devel
Summary:        Headers for hk_kdeclasses application development
Group:          Development/Databases
Requires:	%{libname}

%description -n %{libname}-devel

Hk_kdeclasses headers for application development

%prep
%setup -q -a 1 -n %{name}-%{version}

%build
# (sb) configure macro breaks build
./configure CXXFLAGS="$CXXFLAGS -fPIC" \
  --prefix=%{_prefix} \
  --exec-prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir}/hk_kdeclasses \
  --libdir=%{_libdir} \
  --libexecdir=%{_libdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --disable-rpath \
  --enable-debug
%make 

%install
make \
  DESTDIR=$RPM_BUILD_ROOT \
  prefix=%{_prefix} \
  exec-prefix=%{_prefix} \
  bindir=%{_bindir} \
  sbindir=%{_sbindir} \
  sysconfdir=%{_sysconfdir} \
  datadir=%{_datadir} \
  includedir=%{_includedir}/hk_kdeclasses \
  libdir=%{_libdir} \
  libexecdir=%{_libdir} \
  localstatedir=%{_localstatedir} \
  sharedstatedir=%{_sharedstatedir} \
  mandir=%{_mandir} \
  infodir=%{_infodir} \
  install

# (sb) get rid of CVS in python docs
rm -rf %{name}python/common/CVS

# (sb) clean up rpaths
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/knoda
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libhk_kdeclasses.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{kdever}/libhk_kdegridpart.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/_hk_kdeclasses.so

# (sb) fix .la files
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses/libhk_kdeclasses.la|%{_libdir}/libhk_kdeclasses.la|g" $RPM_BUILD_ROOT%{_libdir}/%{kdever}/libhk_kdegridpart.la
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses||g" $RPM_BUILD_ROOT%{_libdir}/%{kdever}/libhk_kdegridpart.la

# (sb) relocate icons so app can find them
install -d $RPM_BUILD_ROOT/%{_iconsdir}
mv $RPM_BUILD_ROOT/%{_datadir}/*.png $RPM_BUILD_ROOT/%{_iconsdir}

# (sb) more icon shuffling
install -d $RPM_BUILD_ROOT/%{_iconsdir}/large
install -d $RPM_BUILD_ROOT/%{_iconsdir}/mini
install %SOURCE2 $RPM_BUILD_ROOT/%{_iconsdir}/large/%{name}.png
install $RPM_BUILD_DIR/%{name}-%{version}/%{name}/lo16-app-%{name}.png $RPM_BUILD_ROOT/%{_iconsdir}/mini/%{name}.png  
install $RPM_BUILD_DIR/%{name}-%{version}/%{name}/lo32-app-%{name}.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png  

# (sb) fix doc symlink
rm -f $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/%{name}/common
pushd $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/%{name}
ln -sf ../common
popd

# (sb) menu item
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/knoda" \
needs="x11" section="Applications/Databases" title="Knoda - Database Front End" \
longtitle="Knoda - Database Front End" icon="%{name}.png"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS INSTALL README
%{_bindir}/%{name}
%{_datadir}/applnk/Office/%{name}.desktop
%dir %{_datadir}/apps/hk_kdeclasses
%{_datadir}/apps/hk_kdeclasses/*.rc
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/knodaui.rc
%{_datadir}/apps/%{name}/hk_kdeworkspace.rc
%dir %{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/%{name}/*.bz2
%{_datadir}/doc/HTML/en/%{name}/*.docbook
%{_datadir}/doc/HTML/en/%name/common

%{_iconsdir}/*.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/locolor/16x16/apps/%{name}.png
%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/services/hk_kde*.desktop
%{_menudir}/%{name}
%{_libdir}/libhk_kdeclasses.la
%{_libdir}/%{kdever}/libhk_kde*.la

%files -n python-%{name}
%defattr(-,root,root)
%doc %{name}python/*
#%{_libdir}/python%{pyver}/site-packages/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libhk_kdeclasses.so
%{_libdir}/%{kdever}/libhk_kde*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/hk_kdeclasses
%{_includedir}/hk_kdeclasses/*.h
#%{_libdir}/%{kdever}/libhk_kde*.a

%changelog
* Fri Oct  1 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7.1-2mdk
- fix crash bug (missing /usr/lib/kde3/libhk*.la files - #11863)

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Wed Jun 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.3-2mdk
- rebuild, patch to build with gcc-3.4.1 (patch0, extra ";"s)
- some rpmlint fixes

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Sat Nov 22 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.2a-1mdk
- 0.6.2a
- add python docs
- move menu entry to "Applications|Databases" (Dennis Veatch)

* Fri Aug  8 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-3mdk
- rebuild for new python2.3

* Mon May  5 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-2mdk
- fix provides, requires - Jrme Martin <jerome.f.martin@free.fr>

* Tue Apr 29 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-1mdk
- 0.6, BuildRequires, distriblint

* Thu Apr  3 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-0.pre2.2mdk
- move icons to where knoda can find them [Bug 3646]

* Mon Mar 31 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-0.pre2.1mdk
- first packaging
